package ru.dbotthepony.kstarbound.defs.world

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.json.NativeLegacy
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class Biome(
	val hueShift: Double = 0.0,
	val materialHueShift: Int = 0,
	val baseName: String,
	val description: String,
	val mainBlock: NativeLegacy.Tile,
	val subBlocks: ImmutableList<NativeLegacy.Tile> = ImmutableList.of(),
	val ores: ImmutableList<Pair<NativeLegacy.TileMod, Double>> = ImmutableList.of(),
	val musicTrack: AmbientNoisesDefinition? = null,
	val ambientNoises: AmbientNoisesDefinition? = null,
	val surfacePlaceables: BiomePlaceables = BiomePlaceables(),
	val undergroundPlaceables: BiomePlaceables = BiomePlaceables(),
	val parallax: Parallax? = null,
)
